Subject: [bug#47350] [PATCH 00/29] Add Zygote (piece for Machine Learning with Julia)

From: Nicolò Balzarotti <[email-masked]>
Date: Wed, 24 Mar 2021 09:15:36 +0100

zimoun <[email-masked]> writes:

> If you want to review, then it would help. :-)

Here you go:

Patch applies and everything builds fine.  I also checked the
licenses and they seems fine.  I run some example on the Zygote tutorial
and it worked

Some notes:

julia-macrotools:
> +that let you do deep transformations of code..")
two dots

julia-colors:
Instead of removing the tests, calling julia with --depwarn=yes
should do the trick.
I changed the (check) function in julia-build-system adding
replacing invoke "julia" with invoke "julia" "--depwarn=yes", removed
your phase from julia-colors and everything went well (built zygote and
HTTP, which should cover all packages we have).  Would you mind
fixing the build system directly?  As I guess other packages will fail
the same way

julia-compilersupportlibraries-jll:
julia-openspecfun-jll:
I'd change package description, as it's the default and shared between
all jll packages

julia-constructionbase:
typo: lightwight -> lightweight

julia-irtool:
typo: simpe -> simple

julia-macrotools:
typo: Jlia -> Julia

julia-specialfuntions:
> Most of these functions were formerly part of Base in early versions of Julia.
I'd remove this from the description

julia-forwarddiff:
synopsis seems wrong

julia-zygoterules:
extra space at the end of synopsis

Thanks, Nicolò